Subject: [PATCH] ARM: OMAP2+: Fix prm2xxx_3xxx.c INT_34XX_PRCM_MPU_IRQ build error

From: [email-masked] (Cousson, Benoit)
Date: Thu, 9 Feb 2012 21:05:57 +0100

On 2/9/2012 8:15 PM, Russell King - ARM Linux wrote:
> On Thu, Feb 09, 2012 at 08:01:09PM +0100, Cousson, Benoit wrote:
>> If CONFIG_OF is not defined, the following error will happen.
>>
>> arch/arm/mach-omap2/prm2xxx_3xxx.c:41:11: error:
>>   ?INT_34XX_PRCM_MPU_IRQ? undeclared here (not in a function)
>>
>> This is due to some hidden headers path from linux/of.h to plat/irqs.h
>> already reported by Russell for prm4xxx.c.
>
> I have the following commit from mainline.  I suspect you have an old
> tree.

OK, it was part of the fixes Tony sent for for v3.3-rc2 but that are 
were not in mainline until now.
I've just pulled -rc3 and this is indeed there.

Thanks,
Benoit

>
> Note: for the next merge window, I'm removing the asm/irq.h include from
> asm/prom.h so that this kind of thing doesn't happen in the future.
>
> commit d19e8f2e44a34b2a461f67ce9d0cb5bd43197c1e
> Author: Paul Walmsley<[email-masked]>
> Date:   Wed Jan 25 12:57:49 2012 -0700
>
>      ARM: OMAP2/3: PRM: fix missing plat/irqs.h build breakage
>
>      Commit 22f51371f8c35869ed850f46aa76b6cc2b502110 ("ARM: OMAP3: pm: use
>      prcm chain handler") breaks the build on a 2420-only config, due to
>      a missing include for plat/irqs.h:
>
>        CC      arch/arm/mach-omap2/prm2xxx_3xxx.o
>      arch/arm/mach-omap2/prm2xxx_3xxx.c:41:11: error: 'INT_34XX_PRCM_MPU_IRQ' undeclared here (not in a function)
>
>      Fix by explicitly including it.
>
>      Signed-off-by: Paul Walmsley<[email-masked]>
>      Cc: Tero Kristo<[email-masked]>
>      Cc: Kevin Hilman<[email-masked]>
>
> diff --git a/arch/arm/mach-omap2/prm2xxx_3xxx.c b/arch/arm/mach-omap2/prm2xxx_3xxx.c
> index c1c4d86..9ce7654 100644
> --- a/arch/arm/mach-omap2/prm2xxx_3xxx.c
> +++ b/arch/arm/mach-omap2/prm2xxx_3xxx.c
> @@ -19,6 +19,7 @@
>   #include "common.h"
>   #include<plat/cpu.h>
>   #include<plat/prcm.h>
> +#include<plat/irqs.h>
>
>   #include "vp.h"
>